View Issue Details

IDProjectCategoryView StatusLast Update
0000343CaseTalk ModelerGeneration (SQL, XML, etc)public2021-03-01 12:03
ReporterBCP Software Assigned ToBCP Software  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.2.1 
Target Version11.0Fixed in Version11.0 
Summary0000343: Generate temporal database script
DescriptionCreate tables including temporal requirements.
Additional InformationCustom attributes allow facts to store History definitions. These are not interpreted by CaseTalk, yet allow for temporal dimensions on tables.

The GLR is destructive in a sense, and therefor the different temporal requirements are lost, a more sensitive approach is required for this. For instance columns with similar temporal settings are to be treated similar, and different from other columns.

Therefor the temporal settings (custom attributes) on facts should be moved from otft to roles.
TagsNo tags attached.
CaseTalk Edition

Relationships

related to 0002186 resolvedBCP Software Generate Transitional Model 
related to 0001729 resolvedBCP Software Add SQL2011 generator 
related to 0002730 resolvedBCP Software Add BiTemporal support in MsSqlServer2016 
related to 0002738 resolvedBCP Software Add BiTemporal support in Oracle 12 

Activities

BCP Software

BCP Software

2015-11-18 13:57

administrator   ~0000475

Last edited: 2018-07-11 18:32

View 2 revisions

See also:
https://en.wikipedia.org/wiki/Temporal_database
https://mariadb.com/kb/en/library/system-versioned-tables/

BCP Software

BCP Software

2018-07-11 18:48

administrator   ~0001219

Last edited: 2018-07-11 18:52

View 2 revisions

From the temporal page on wikipedia:

"..Valid time is the time for which a fact is true in the real world. A valid time period may be in the past, span the current time, or occur in the future. For the example above, to record valid time, the Person table has two fields added, Valid-From and Valid-To. These specify the period when a person's address is valid in the real world.

..Transaction time records the time period during which a database entry is accepted as correct. This enables queries that show the state of the database at a given time. Transaction time periods can only occur in the past or up to the current time. In a transaction time table, records are never deleted. Only new records can be inserted, and existing ones updated by setting their transaction end time to show that they are no longer current. To enable transaction time in the example above, two more fields are added to the Person table: Transaction-From and Transaction-To. Transaction-From is the time a transaction was made, and Transaction-To is the time that the transaction was superseded (which may be infinity if it has not yet been superseded). This makes the table into a bitemporal table..."

BCP Software

BCP Software

2019-09-28 21:29

administrator   ~0001531

Asserted time and State time:
https://www.sciencedirect.com/topics/computer-science/asserted-versioning
BCP Software

BCP Software

2020-11-04 17:10

administrator   ~0001805

SQL2011 support:
https://www.dummies.com/programming/sql/how-to-track-data-with-sql2011-bitemporal-tables/

Issue History

Date Modified Username Field Change
2013-09-26 10:03 BCP Software New Issue
2013-09-26 10:03 BCP Software Status new => assigned
2013-09-26 10:03 BCP Software Assigned To => BCP Software
2015-11-18 13:57 BCP Software Note Added: 0000475
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)
2018-07-11 18:32 BCP Software Note Edited: 0000475 View Revisions
2018-07-11 18:48 BCP Software Note Added: 0001219
2018-07-11 18:52 BCP Software Note Edited: 0001219 View Revisions
2019-07-22 13:37 BCP Software Relationship added related to 0002186
2019-09-28 21:29 BCP Software Note Added: 0001531
2020-11-04 17:10 BCP Software Note Added: 0001805
2020-11-05 12:13 BCP Software Relationship added related to 0001729
2020-11-05 22:59 BCP Software Target Version Future => 11.0
2020-11-07 08:53 BCP Software Relationship added related to 0002730
2020-11-11 22:30 BCP Software Severity major => feature
2020-11-11 22:30 BCP Software View Status private => public
2020-11-14 11:20 BCP Software Relationship added related to 0002738
2021-01-12 21:17 BCP Software Status assigned => resolved
2021-01-12 21:17 BCP Software Resolution open => fixed
2021-01-12 21:17 BCP Software Fixed in Version => 11.0